[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector2_extended.squared_length

Calculates the squared length of the vector.

## Declaration

Source position: matrix.pp line 86

`function Tvector2_extended.squared_length: extended;`

## Description

Calculate the squared length of the vector: squared_length=data[0]**2+data[1]**2.

Documentation generated on: Feb 26 2014